Video API, REST: Episode.Create
Creates a new episode associated with a stream or stream line.
Episodes can be configured with various settings including title, description,
time boundaries, and access rights.
HTTP request
POST https://video.api.cloud.yandex.net/video/v1/episodes
Body parameters
{
// Includes only one of the fields `streamId`, `lineId`
"streamId": "string",
"lineId": "string",
// end of the list of possible fields
"title": "string",
"description": "string",
"thumbnailId": "string",
"startTime": "string",
"finishTime": "string",
"dvrSeconds": "string",
"stylePresetId": "string",
// Includes only one of the fields `publicAccess`, `signUrlAccess`
"publicAccess": "object",
"signUrlAccess": "object"
// end of the list of possible fields
}
|
Field |
Description |
|
streamId |
string ID of the stream. The maximum string length in characters is 50. Includes only one of the fields Parent resource ID to link the episode to (exactly one must be chosen). |
|
lineId |
string ID of the line. The maximum string length in characters is 50. Includes only one of the fields Parent resource ID to link the episode to (exactly one must be chosen). |
|
title |
string Required field. Episode title. The maximum string length in characters is 300. |
|
description |
string Episode description. The maximum string length in characters is 5000. |
|
thumbnailId |
string ID of the thumbnail. The maximum string length in characters is 50. |
|
startTime |
string (date-time) Episode start time. String in RFC3339 To work with values in this field, use the APIs described in the |
|
finishTime |
string (date-time) Episode finish time. String in RFC3339 To work with values in this field, use the APIs described in the |
|
dvrSeconds |
string (int64) Enables episode DVR mode.
|
|
stylePresetId |
string ID of the style preset. The maximum string length in characters is 50. |
|
publicAccess |
object Episode is publicly available. Includes only one of the fields Episode access permission settings (exactly one must be chosen). |
|
signUrlAccess |
object Access to the episode is restricted by temporarily signed links. Includes only one of the fields Episode access permission settings (exactly one must be chosen). |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |